FunnelFlux Pro API DocumentsFunnelFlux Pro API Documents
  • Changelog
  • Status
  • Dashboard
  • Documentation
  • Authentication
  • Domains
  • Assets
  • Reporting
Information
Traffic Sources
    List traffic sourcesgetFind traffic source by IDgetFind traffic sources by ID listgetFind traffic sources by statusgetFind traffic sources by categorygetSave traffic sourceputCreate traffic sourcepostDuplicate traffic sourcepostDelete traffic sourcedeleteArchive traffic sourcesputUnarchive traffic sourcesputMove traffic sources to a categoryput
Offer Sources
    List offer sourcesgetFind offer source by IDgetFind offer sources by ID listgetFind offer sources by statusgetFind offer sources by categorygetSave offer sourceputCreate offer sourcepostDuplicate offer sourcepostDelete offer sourcedeleteArchive offer sourcesputUnarchive offer sourcesputMove offer sources to a categoryput
Funnel Groups
    List funnel groupsgetFind funnel group by IDgetFind funnel groups by ID listgetFind funnel groups by statusgetUpdate a funnel groupputCreate a funnel grouppostDuplicate a funnel grouppostDelete a funnel groupdeleteArchive funnel groupsputList funnel groupsgetFind funnel group by IDgetFind funnel groups by ID listgetFind funnel groups by statusgetUpdate an existing funnel groupputCreate a new funnel grouppostDuplicate a funnel grouppostDelete a funnel groupdeleteArchive funnel groupsputUnarchive funnel groupsput
Funnels
    List funnelsgetFind funnel by IDgetFind funnels by ID listgetFind funnels by statusgetFind funnels by typegetFind funnels by categorygetUpdate a funnelputCreate a funnelpostDuplicate a funnelpostDelete a funneldeleteArchive a funnelputUnarchive a funnelputMove a funnelput
Conditions
    List conditionsgetFind condition by IDgetFind conditions by ID listgetFind conditions by statusgetFind conditions by categorygetUpdate a conditionputCreate a conditionpostDuplicate a conditionpostDelete a conditiondeleteArchive conditionsputUnarchive conditionsputMove conditions to a categoryput
Logic Scripts
    List logic scriptsgetFind logic script by IDgetFind logic scripts by ID listgetFind logic scripts by namegetFind logic scripts by statusgetFind logic scripts by categorygetUpdate a logic scriptputCreate a logic scriptpostDuplicate a logic scriptpostSoft-delete logic scriptsdeleteGet logic script language metadatagetValidate logic script codepostArchive logic scriptsputUnarchive logic scriptsputMove logic scripts to a categoryput
Visitor Tags
    Find visitor tag by IDgetList visitor tagsgetFind visitor tags by statusgetUpdate a visitor tagputCreate a visitor tagpostDuplicate a visitor tagpostDelete visitor tagsdeleteArchive visitor tagsputUnarchive visitor tagsputMove visitor tags to categoryput
Page Groups
    List page groupsgetFind a page group by IDgetFind page groups by ID listgetFind page groups by statusgetFind page groups by typegetFind page groups by categorygetUpdate a page groupputCreate a page grouppostDuplicate a page grouppostDelete a page groupdeleteArchive page groupsputUnarchive page groupsputMove global page groups to a categoryputFind page groups by categorygetMove global page groups to a categoryput
Pages
    List pagesgetFind a page by IDgetFind pages by ID listgetFind pages by statusgetFind pages by categorygetUpdate a pageputCreate a new pagepostDuplicate a pagepostDelete a pagedeleteArchive pagesputUnarchive pagesputMove pages to a categoryput
Categories
    List categoriesgetFind category by IDgetFind categories by ID listgetUpdate a categoryputCreate a categorypostDuplicate a categorypostDelete a categorydeleteArchive categoriesputUnarchive categoriesput
User
    Get user settingsgetSave user settingsputDelete user settingsdelete
Integration
    List integration API keysgetUpdate integration API keyputGenerate integration API keypostDelete integration API keydelete
AI Node Settings
    Update AI node settingsputCreate AI node settingspostFind AI node settings by IDgetFind AI node settings by ID listgetDelete AI node settingsdelete
Webhook Configs
    List webhook configsgetFind webhook config by IDgetFind webhook configs by ID listgetSave webhook configputCreate webhook configpostDelete webhook configdeleteDuplicate webhook configpostArchive webhook configsputUnarchive webhook configsputMove webhook configs to categoryput
Middleware Configs
    List middleware configsgetFind middleware config by IDgetFind middleware configs by ID listgetSave middleware configputCreate middleware configpostDelete middleware configdeleteDuplicate middleware configpostArchive middleware configsputUnarchive middleware configsputMove middleware configs to categoryput
Schemas
FunnelFlux Assets API
FunnelFlux Assets API

Visitor Tags

Download schema

API endpoints to manage visitor tags


Find visitor tag by ID

GET
https://api.funnelflux.pro/v1
/visitortag/find/byId/

Retrieve a visitor tag by its id. Visitor tags are account-level assets.

Find visitor tag by ID › query Parameters

idTag
​string · required

The ID of the tag to return

Find visitor tag by ID › Responses

The requested visitor tag

Account-level visitor tag asset
FunnelVisitorTag
idTag
​string · required

ID of the tag

tagName
​string · minLength: 1 · maxLength: 256 · required

Tag name

status
​Status · enum
Enum values:
active
archived
deleted
Default: active
color
​string

Display color for the tag

idCategory
​string

Category ID for organizing tags

categoryName
​string · maxLength: 256

Category name for organizing tags

GET/visitortag/find/byId/
curl --request GET \ --url 'https://api.funnelflux.pro/v1/visitortag/find/byId?idTag=%3Cstring%3E'
Example Responses
{ "idTag": "idTag", "tagName": "tagName", "color": "#FF5733", "idCategory": "cat-001", "categoryName": "Tags" }
json
application/json

List visitor tags

GET
https://api.funnelflux.pro/v1
/visitortag/list/

Retrieve all non-deleted visitor tags. Visitor tags are account-level assets.

List visitor tags › query Parameters

idCategory
​string

Optional category filter

List visitor tags › Responses

List of visitor tags

​FunnelVisitorTag[]
Account-level visitor tag asset
FunnelVisitorTag
idTag
​string · required

ID of the tag

tagName
​string · minLength: 1 · maxLength: 256 · required

Tag name

status
​Status · enum
Enum values:
active
archived
deleted
Default: active
color
​string

Display color for the tag

idCategory
​string

Category ID for organizing tags

categoryName
​string · maxLength: 256

Category name for organizing tags

GET/visitortag/list/
curl --request GET \ --url https://api.funnelflux.pro/v1/visitortag/list
Example Responses
[ { "idTag": "idTag", "tagName": "tagName", "color": "#FF5733", "idCategory": "cat-001", "categoryName": "Tags" } ]
json
application/json

Find visitor tags by status

GET
https://api.funnelflux.pro/v1
/visitortag/find/byStatus/

Retrieve all visitor tags with the specified status

Find visitor tags by status › query Parameters

status
​string · enum · required

Status of resource

Enum values:
active
archived
not-deleted
all
idCategory
​string

Optional category filter

Find visitor tags by status › Responses

List of visitor tags

​FunnelVisitorTag[]
Account-level visitor tag asset
FunnelVisitorTag
idTag
​string · required

ID of the tag

tagName
​string · minLength: 1 · maxLength: 256 · required

Tag name

status
​Status · enum
Enum values:
active
archived
deleted
Default: active
color
​string

Display color for the tag

idCategory
​string

Category ID for organizing tags

categoryName
​string · maxLength: 256

Category name for organizing tags

GET/visitortag/find/byStatus/
curl --request GET \ --url 'https://api.funnelflux.pro/v1/visitortag/find/byStatus?status=%3Cstring%3E'
Example Responses
[ { "idTag": "idTag", "tagName": "tagName", "color": "#FF5733", "idCategory": "cat-001", "categoryName": "Tags" } ]
json
application/json

Update a visitor tag

PUT
https://api.funnelflux.pro/v1
/visitortag/save/

Update an existing visitor tag. The id cannot be changed.

Update a visitor tag › Request Body

Account-level visitor tag asset
FunnelVisitorTag
idTag
​string · required

ID of the tag

tagName
​string · minLength: 1 · maxLength: 256 · required

Tag name

status
​Status · enum
Enum values:
active
archived
deleted
Default: active
color
​string

Display color for the tag

idCategory
​string

Category ID for organizing tags

categoryName
​string · maxLength: 256

Category name for organizing tags

Update a visitor tag › Responses

Visitor tag updated successfully

No data returned
PUT/visitortag/save/
curl --request PUT \ --url https://api.funnelflux.pro/v1/visitortag/save \ --header 'Content-Type: application/json' \ --data ' { "idTag": "idTag", "tagName": "tagName", "color": "#FF5733", "idCategory": "cat-001", "categoryName": "Tags" } '
Example Request Body
{ "idTag": "idTag", "tagName": "tagName", "color": "#FF5733", "idCategory": "cat-001", "categoryName": "Tags" }
json
Example Responses
No example specified for this content type

Create a visitor tag

POST
https://api.funnelflux.pro/v1
/visitortag/save/

Create a new visitor tag

Create a visitor tag › Request Body

Account-level visitor tag asset
FunnelVisitorTag
idTag
​string · required

ID of the tag

tagName
​string · minLength: 1 · maxLength: 256 · required

Tag name

status
​Status · enum
Enum values:
active
archived
deleted
Default: active
color
​string

Display color for the tag

idCategory
​string

Category ID for organizing tags

categoryName
​string · maxLength: 256

Category name for organizing tags

Create a visitor tag › Responses

Visitor tag created successfully

No data returned
POST/visitortag/save/
curl --request POST \ --url https://api.funnelflux.pro/v1/visitortag/save \ --header 'Content-Type: application/json' \ --data ' { "idTag": "idTag", "tagName": "tagName", "color": "#FF5733", "idCategory": "cat-001", "categoryName": "Tags" } '
Example Request Body
{ "idTag": "idTag", "tagName": "tagName", "color": "#FF5733", "idCategory": "cat-001", "categoryName": "Tags" }
json
Example Responses
No example specified for this content type

Duplicate a visitor tag

POST
https://api.funnelflux.pro/v1
/visitortag/duplicate/

Create a duplicate of an existing visitor tag.

Duplicate a visitor tag › query Parameters

idTag
​string · required

ID of the visitor tag to duplicate.

Duplicate a visitor tag › Request Body

DuplicateRequest
name
​string · minLength: 1 · maxLength: 256 · required

Name for the new asset

parentId
​string

Optional parent/category ID for the new asset

​object

Optional field overrides to merge into the duplicated asset. Keys are JSON field names (e.g. baseURL, trackingFieldSlots). Protected fields (ID, owner, status) cannot be changed via this field — they are always set by the server after the merge.

Duplicate a visitor tag › Responses

The newly created visitor tag

DuplicateResponse
id
​string

ID of the newly created asset

POST/visitortag/duplicate/
curl --request POST \ --url 'https://api.funnelflux.pro/v1/visitortag/duplicate?idTag=%3Cstring%3E' \ --header 'Content-Type: application/json' \ --data ' { "name": "name", "parentId": "parentId", "bodyUpdates": {} } '
Example Request Body
{ "name": "name", "parentId": "parentId", "bodyUpdates": {} }
json
Example Responses
{ "id": "id" }
json
application/json

Delete visitor tags

DELETE
https://api.funnelflux.pro/v1
/visitortag/delete/

Delete the specified visitor tags

Delete visitor tags › Request Body

StringList
entries
​string[] · required

Delete visitor tags › Responses

Visitor tags deleted successfully

No data returned
DELETE/visitortag/delete/
curl --request DELETE \ --url https://api.funnelflux.pro/v1/visitortag/delete \ --header 'Content-Type: application/json' \ --data ' { "entries": [ "entries", "entries" ] } '
Example Request Body
{ "entries": [ "entries", "entries" ] }
json
Example Responses
No example specified for this content type

Archive visitor tags

PUT
https://api.funnelflux.pro/v1
/visitortag/archive/

Archive the specified visitor tags

Archive visitor tags › Request Body

StringList
entries
​string[] · required

Archive visitor tags › Responses

Visitor tags archived successfully

No data returned
PUT/visitortag/archive/
curl --request PUT \ --url https://api.funnelflux.pro/v1/visitortag/archive \ --header 'Content-Type: application/json' \ --data ' { "entries": [ "entries", "entries" ] } '
Example Request Body
{ "entries": [ "entries", "entries" ] }
json
Example Responses
No example specified for this content type

Unarchive visitor tags

PUT
https://api.funnelflux.pro/v1
/visitortag/unarchive/

Unarchive the specified visitor tags

Unarchive visitor tags › Request Body

StringList
entries
​string[] · required

Unarchive visitor tags › Responses

Visitor tags unarchived successfully

No data returned
PUT/visitortag/unarchive/
curl --request PUT \ --url https://api.funnelflux.pro/v1/visitortag/unarchive \ --header 'Content-Type: application/json' \ --data ' { "entries": [ "entries", "entries" ] } '
Example Request Body
{ "entries": [ "entries", "entries" ] }
json
Example Responses
No example specified for this content type

Move visitor tags to category

PUT
https://api.funnelflux.pro/v1
/visitortag/move-category/

Move visitor tags to the specified category

Move visitor tags to category › Request Body

MoveCategoryRequest
entries
​string[] · required

List of asset IDs to move

idCategory
​string · required

Target category ID (empty string to remove from category)

Move visitor tags to category › Responses

Visitor tags moved successfully

No data returned
PUT/visitortag/move-category/
curl --request PUT \ --url https://api.funnelflux.pro/v1/visitortag/move-category \ --header 'Content-Type: application/json' \ --data ' { "entries": [ "string" ], "idCategory": "idCategory" } '
Example Request Body
{ "entries": [ "string" ], "idCategory": "idCategory" }
json
Example Responses
No example specified for this content type

Logic ScriptsPage Groups